<?php
define('INTERNAL', true);
define('MENUITEM', 'content/booklet');
define('SECTION_PLUGINTYPE', 'artefact');
define('SECTION_PLUGINNAME', 'booklet');
define('SECTION_PAGE', 'tabs');
defined('INTERNAL') || die();

require_once(dirname(dirname(dirname(__FILE__))) . '/init.php');
require_once('pieforms/pieform.php');
safe_require('artefact', 'booklet');
$idtome = param_integer('id', null);
$tome = get_record('artefact_booklet_tome', 'id', $idtome);

define('TITLE', $tome->title);

$tabsform = ArtefactTypeTab::get_form($idtome);
$inlinejs = ArtefactTypeTab::get_js('tab', $idtome);
$smarty = smarty(array('tablerenderer','jquery'));
$smarty->assign('PAGEHEADING', TITLE);
$smarty->assign('INLINEJAVASCRIPT', $inlinejs);
$smarty->assign('tabsform', $tabsform);
$smarty->display('artefact:booklet:tabs.tpl');
